Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream
Class StreamingRoute.PushAction

    java.lang.Object
      com.saxonica.stream.StreamingRoute.PushAction

Enclosing class:
  StreamingRoute

    public static class StreamingRoute.PushAction

extends Object

A PushAction is a collection of data that together represents the strategy for how an expression should be evaluated in push mode. The StreamingRoute is effectively a list of PushAction objects, one for each expression that needs to be processed in push mode.

Field Summary
`StreamingAdjunct` | `adjunct`
`Expression` | `expression`
`FeedMaker` | `feedMaker`
`int` | `pushMethod`
`Pattern` | `selectionPattern`
`int` | `streamingChildSequence`
`WatchMaker` | `watchMaker`

Constructor Summary
`StreamingRoute.PushAction()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expression

    public Expression expression

### streamingChildSequence

    public int streamingChildSequence

### adjunct

    public StreamingAdjunct adjunct

### pushMethod

    public int pushMethod

### selectionPattern

    public Pattern selectionPattern

### feedMaker

    public FeedMaker feedMaker

### watchMaker

    public WatchMaker watchMaker

Constructor Detail

### StreamingRoute.PushAction

    public StreamingRoute.PushAction()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.